> ## Documentation Index
> Fetch the complete documentation index at: https://mako-docs.devinagiffy.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Create User

> Create a new user in the organization

<Note>This endpoint requires Admin role.</Note>

## Request

<ParamField body="email" type="string" required>
  User email address
</ParamField>

<ParamField body="name" type="string">
  Display name (max 255 characters)
</ParamField>

<ParamField body="role" type="string" default="employee">
  User role: `employee`, `manager`, `admin`
</ParamField>

## Response

Returns the created user.

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST "https://api.hitler.app/api/users" \
    -H "Authorization: Bearer YOUR_TOKEN" \
    -H "Content-Type: application/json" \
    -d '{
      "email": "newuser@acme.com",
      "name": "Jane Smith",
      "role": "employee"
    }'
  ```
</RequestExample>

<ResponseExample>
  ```json 201 theme={null}
  {
    "id": "user-uuid-new",
    "email": "newuser@acme.com",
    "name": "Jane Smith",
    "role": "employee",
    "isActive": true,
    "organizationId": "org-uuid",
    "createdAt": "2024-01-15T10:00:00.000Z"
  }
  ```
</ResponseExample>
